Get the Work Ledger
curl --request GET \
--url https://useorgx.com/api/v1/projections/work-ledger \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://useorgx.com/api/v1/projections/work-ledger', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://useorgx.com/api/v1/projections/work-ledger"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"from": "2026-08-18T18:30:00.000Z",
"to": "2026-08-18T18:30:00.000Z",
"granularity": "day",
"timezone": "UTC",
"buckets": [
{}
],
"clients": [
{}
],
"initiatives": [
{}
],
"totals": {
"toolCalls": 0,
"conversations": 0,
"sessions": 0,
"runs": 0,
"receipts": 0,
"decisions": 0,
"artifacts": 0,
"total": 0
},
"peakBucketTotal": 0,
"sources": [
{
"id": "2d4b7f66-3a2a-4e9d-9ad1-3b2d1b2e4101",
"label": "Accepted work",
"table": "work_ledger",
"rows": 0,
"unlinkedRows": 0,
"note": "Counts reflect accepted work in the selected range."
}
],
"mode": "aggregated",
"truncated": false,
"queryMs": 0
},
"meta": {}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"requestId": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"docsUrl": "<string>",
"retryAfter": 123
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"requestId": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"docsUrl": "<string>",
"retryAfter": 123
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"requestId": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"docsUrl": "<string>",
"retryAfter": 123
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"requestId": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"docsUrl": "<string>",
"retryAfter": 123
}
}Projections
Get the Work Ledger
Get work, evidence, and receipt totals for a time range.
Boundaries
When mode is scanned, the API calculates results from the available ledger rows and
the counts are a lower bound.
GET
/
projections
/
work-ledger
Get the Work Ledger
curl --request GET \
--url https://useorgx.com/api/v1/projections/work-ledger \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://useorgx.com/api/v1/projections/work-ledger', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://useorgx.com/api/v1/projections/work-ledger"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"from": "2026-08-18T18:30:00.000Z",
"to": "2026-08-18T18:30:00.000Z",
"granularity": "day",
"timezone": "UTC",
"buckets": [
{}
],
"clients": [
{}
],
"initiatives": [
{}
],
"totals": {
"toolCalls": 0,
"conversations": 0,
"sessions": 0,
"runs": 0,
"receipts": 0,
"decisions": 0,
"artifacts": 0,
"total": 0
},
"peakBucketTotal": 0,
"sources": [
{
"id": "2d4b7f66-3a2a-4e9d-9ad1-3b2d1b2e4101",
"label": "Accepted work",
"table": "work_ledger",
"rows": 0,
"unlinkedRows": 0,
"note": "Counts reflect accepted work in the selected range."
}
],
"mode": "aggregated",
"truncated": false,
"queryMs": 0
},
"meta": {}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"requestId": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"docsUrl": "<string>",
"retryAfter": 123
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"requestId": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"docsUrl": "<string>",
"retryAfter": 123
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"requestId": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"docsUrl": "<string>",
"retryAfter": 123
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"requestId": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"docsUrl": "<string>",
"retryAfter": 123
}
}Authorizations
bearerAuthcookieAuth
OrgX API key, sent as Authorization: Bearer oxk_...
Query Parameters
Available options:
day, week, month 